Summary:        Comprehensive HTTP client library
Name:           python-httplib2
Version:        0.22.0
Release:        1%{?dist}
License:        MIT
URL:            https://pypi.python.org/pypi/httplib2
Source:         https://github.com/httplib2/httplib2/archive/v%{version}/httplib2-%{version}.tar.gz
Patch3000:      python-httplib2.certfile.patch

BuildArch:      noarch

%description 
This package  provides a comprehensive HTTP client library that supports many features left 
out of other HTTP libraries.

%package -n python3-httplib2
Summary:        %{summary}
BuildRequires:  python3-devel python3-setuptools python3-pytest python3-pyparsing
BuildRequires:  python3-pytest-timeout python3-six python3-cryptography
Provides:       python3-httplib2 = %{version}-%{release}

%description -n python3-httplib2 
This package  provides a comprehensive HTTP client library that supports many features left 
out of other HTTP libraries.


%prep
%autosetup -p1 -n httplib2-%{version}
rm -r python2

sed -i '/TODO remove after dropping Python2 support/d' requirements.txt
sed -i '/--cov/d' setup.cfg


%build
%py3_build


%install
%py3_install


%check
# test_get_301_no_redirect leads to Segfault(Python 3.11), others are broken PySocks tests
PYTHONPATH=%{buildroot}%{python3_sitelib} pytest -k "not test_unknown_server \
	and not test_socks5_auth and not \
	test_server_not_found_error_is_raised_for_invalid_hostname and not \
	test_functional_noproxy_star_https and not \
	test_sni_set_servername_callback and not test_not_trusted_ca and not \
	test_invalid_ca_certs_path and not test_max_tls_version and not \
	test_get_301_via_https and not test_client_cert_password_verified and not\
	test_get_via_https and not test_min_tls_version and not\
	test_client_cert_verified and not test_inject_space and not test_get_301_no_redirect"


%files -n python3-httplib2
%doc README.md
%{python3_sitelib}/httplib2-*.egg-info/
%{python3_sitelib}/httplib2/

%changelog
* Mon Sep 25 2023 Miaojun Dong <zoedong@tencent.com> - 0.22.0-1
- Bump version to 0.22.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.4-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.4-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 19 2022 Wang Guodong <gordonwwang@tencent.com> - 0.20.4-1
- package init.
